#
# spec file for package l2h (Version 96.1.h)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         l2h
Release:      14
Copyright:    1993 Nikos Drakos
Group: 
Provides:     latex2html 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      96.1.h
Summary:      LaTeX2HTML converter
Source: latex2html-96.1.h.tar.gz
Patch: latex2html-96.1.h.dif
%description
LaTeX2HTML lets you easily convert not too complex LaTeX-documents
into the WWW format HTML. This enables one to have both a written and
online version of even older LaTeX texts.
Please look out for the corresponding variables in /etc/rc.config!!!
Documentation may be found in:
/usr/doc/packages/l2h 

Authors:
--------
    Nikos Drakos <nikos@cbl.leeds.ac.uk>

%prep
%setup -n latex2html-96.1.h
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
    #
    # fill the susewm variables into /etc/rc.config
    #
    bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.l2h
else
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and etc/rc.config.l2h and update by hand."
fi
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/l2h
%dir /usr/doc/packages/l2h/docs
%dir /usr/doc/packages/l2h/docs/changebar
%dir /usr/doc/packages/l2h/example
%dir /usr/lib/latex2html
%dir /usr/lib/latex2html/icons
%dir /usr/lib/latex2html/styles
%dir /usr/lib/latex2html/texinputs
%dir /usr/lib/latex2html/versions
%dir /usr/lib/teTeX
%dir /usr/lib/teTeX/texmf
%dir /usr/lib/teTeX/texmf/tex
%dir /usr/lib/teTeX/texmf/tex/latex
%dir /var/lib/latex2html
/sbin/conf.d/SuSEconfig.l2h
/usr/bin/giftrans
/usr/bin/latex2html
/usr/bin/makemap
/usr/bin/pstogif
/usr/bin/texexpand
%doc /usr/doc/packages/l2h/Bugs
%doc /usr/doc/packages/l2h/Changes
%doc /usr/doc/packages/l2h/Changes.detailed
%doc /usr/doc/packages/l2h/README
%doc /usr/doc/packages/l2h/README.1ST
%doc /usr/doc/packages/l2h/docs/changebar.sty
%doc /usr/doc/packages/l2h/docs/changebar/00Contents
%doc /usr/doc/packages/l2h/docs/changebar/00readme.txt
%doc /usr/doc/packages/l2h/docs/changebar/catalog.txt
%doc /usr/doc/packages/l2h/docs/changebar/changebar.bug
%doc /usr/doc/packages/l2h/docs/changebar/changebar.dtx
%doc /usr/doc/packages/l2h/docs/changebar/changebar.idx
%doc /usr/doc/packages/l2h/docs/changebar/changebar.ins
%doc /usr/doc/packages/l2h/docs/changebar/chbar.sh
%doc /usr/doc/packages/l2h/docs/changebar/manifest.txt
%doc /usr/doc/packages/l2h/docs/changebar/update.txt
%doc /usr/doc/packages/l2h/docs/changes.tex
%doc /usr/doc/packages/l2h/docs/eform.ps
%doc /usr/doc/packages/l2h/docs/figure.ps
%doc /usr/doc/packages/l2h/docs/html.sty
%doc /usr/doc/packages/l2h/docs/htmllist.sty
%doc /usr/doc/packages/l2h/docs/manual.index
%doc /usr/doc/packages/l2h/docs/manual.tex
%doc /usr/doc/packages/l2h/dot.latex2html-init
%doc /usr/doc/packages/l2h/example/Makefile
%doc /usr/doc/packages/l2h/example/report.tex
%doc /usr/doc/packages/l2h/example/sec1.tex
%doc /usr/doc/packages/l2h/example/sec2.tex
%doc /usr/doc/packages/l2h/manifest
%doc /usr/doc/packages/l2h/rc.config.l2h
%doc /usr/doc/packages/l2h/revh.readme
/usr/lib/latex2html/docs
/usr/lib/latex2html/icons/blank.pbm
/usr/lib/latex2html/icons/blueball.gif
/usr/lib/latex2html/icons/change_begin.gif
/usr/lib/latex2html/icons/change_delete.gif
/usr/lib/latex2html/icons/change_end.gif
/usr/lib/latex2html/icons/contents.xbm
/usr/lib/latex2html/icons/contents_motif.gif
/usr/lib/latex2html/icons/cross_ref_motif.gif
/usr/lib/latex2html/icons/foot_motif.gif
/usr/lib/latex2html/icons/greenball.gif
/usr/lib/latex2html/icons/icons.html
/usr/lib/latex2html/icons/image.gif
/usr/lib/latex2html/icons/index_motif.gif
/usr/lib/latex2html/icons/invis_anchor.xbm
/usr/lib/latex2html/icons/next_group_motif.gif
/usr/lib/latex2html/icons/next_group_motif_gr.gif
/usr/lib/latex2html/icons/next_motif.gif
/usr/lib/latex2html/icons/next_motif_gr.gif
/usr/lib/latex2html/icons/orangeball.gif
/usr/lib/latex2html/icons/pinkball.gif
/usr/lib/latex2html/icons/previous_group_motif.gif
/usr/lib/latex2html/icons/previous_group_motif_gr.gif
/usr/lib/latex2html/icons/previous_motif.gif
/usr/lib/latex2html/icons/previous_motif_gr.gif
/usr/lib/latex2html/icons/purpleball.gif
/usr/lib/latex2html/icons/redball.gif
/usr/lib/latex2html/icons/up_motif.gif
/usr/lib/latex2html/icons/up_motif_gr.gif
/usr/lib/latex2html/icons/whiteball.gif
/usr/lib/latex2html/icons/yellowball.gif
/usr/lib/latex2html/latex2html
/usr/lib/latex2html/latex2html.config
/usr/lib/latex2html/styles/alltt.perl
/usr/lib/latex2html/styles/changebar.perl
/usr/lib/latex2html/styles/color.perl
/usr/lib/latex2html/styles/colordvi.perl
/usr/lib/latex2html/styles/crayola.txt
/usr/lib/latex2html/styles/epsfig.perl
/usr/lib/latex2html/styles/floatfig.perl
/usr/lib/latex2html/styles/floatflt.perl
/usr/lib/latex2html/styles/frames.perl
/usr/lib/latex2html/styles/francais.perl
/usr/lib/latex2html/styles/french.perl
/usr/lib/latex2html/styles/german.perl
/usr/lib/latex2html/styles/germanb.perl
/usr/lib/latex2html/styles/graphics.perl
/usr/lib/latex2html/styles/graphicx.perl
/usr/lib/latex2html/styles/havard.perl
/usr/lib/latex2html/styles/heqn.perl
/usr/lib/latex2html/styles/html.perl
/usr/lib/latex2html/styles/htmllist.perl
/usr/lib/latex2html/styles/justify.perl
/usr/lib/latex2html/styles/makeidx.perl
/usr/lib/latex2html/styles/natbib.perl
/usr/lib/latex2html/styles/nharvard.perl
/usr/lib/latex2html/styles/rgb.txt
/usr/lib/latex2html/styles/texdefs.perl
/usr/lib/latex2html/styles/verbatim.perl
/usr/lib/latex2html/styles/wrapfig.perl
/usr/lib/latex2html/texinputs/floatflt.ins
/usr/lib/latex2html/texinputs/frames.sty
/usr/lib/latex2html/texinputs/heqn.sty
/usr/lib/latex2html/texinputs/html.sty
/usr/lib/latex2html/texinputs/html209.sty
/usr/lib/latex2html/texinputs/html2e.sty
/usr/lib/latex2html/texinputs/htmllist.sty
/usr/lib/latex2html/texinputs/justify.sty
/usr/lib/latex2html/texinputs/url.sty
/usr/lib/latex2html/texinputs/verbatimfiles.sty
/usr/lib/latex2html/versions/html2.1.pl
/usr/lib/latex2html/versions/html2.2.pl
/usr/lib/latex2html/versions/html3.0.pl
/usr/lib/latex2html/versions/html3.1.pl
/usr/lib/teTeX/texmf/tex/latex/latex2html
%doc /usr/man/man1/latex2html.1.gz
/var/adm/fillup-templates/rc.config.l2h
/var/lib/latex2html/.latex2html-init
/var/lib/latex2html/dot.latex2html-init
/var/lib/latex2html/install-test
/var/lib/latex2html/install.errors
/var/lib/latex2html/install.out
/var/lib/latex2html/latex2html
/var/lib/latex2html/latex2html.config

